<p align="center">
  <a href="https://www.zerotwentyfifty.com/solutions/pact-methodology">
   <img src="https://github.com/user-attachments/assets/bbbc445a-b70d-4e35-904a-4cb55857bc62" alt="branding">
  </a>

  <h3 align="center">ZeroTwentyFifty Corporation</h3>

  <p align="center">
    Enabling the exchange of product-level carbon accounting data.
    <br />
    <a href="https://www.zerotwentyfifty.com"><strong>Learn more »</strong></a>
    <br />
    <br />
    <a href="https://github.com/orgs/ZeroTwentyFifty/discussions">Discussions</a>
    ·
    <a href="https://www.zerotwentyfifty.com/blog">Blog</a>
    ·
    <a href="https://www.zerotwentyfifty.com/solutions">Solutions</a>
    ·
    <a href="https://www.zerotwentyfifty.com/services">Services</a>
    ·
    <a href="https://mailchi.mp/zerotwentyfifty.com/newsletter">Newsletter</a>
  </p>

</p>

<p align="center">
    <a href="https://codecov.io/gh/ZeroTwentyFifty/pact_methodology" >
      <img src="https://codecov.io/gh/ZeroTwentyFifty/pact_methodology/graph/badge.svg?token=DI5T8UZOKT"/>
    </a>
    <a href="https://img.shields.io/badge/license-MIT-blue.svg"><img src="https://img.shields.io/badge/license-MIT-blue.svg" alt="License"></a>
    <a href="https://github.com/ZeroTwentyFifty/pact_methodology/stargazers"><img src="https://img.shields.io/github/stars/ZeroTwentyFifty/pact_methodology" alt="Github Stars"></a>
    <a href="https://github.com/ZeroTwentyFifty/pact_methodology/actions/workflows/app.yml"><img src="https://github.com/ZeroTwentyFifty/pact_methodology/actions/workflows/app.yml/badge.svg" alt="CI/CD"></a>
    <img src="https://img.shields.io/badge/Topic-ClimateTech-brightgreen" alt="ClimateTech">
    <img src="https://img.shields.io/badge/Topic-Sustainability-yellow" alt="Sustainability">
    <img src="https://img.shields.io/badge/Topic-CarbonFootprinting-ff69b4" alt="Carbon Footprinting">
    <img src="https://img.shields.io/badge/Pricing-Free-brightgreen" alt="Pricing">
    <img src="https://img.shields.io/badge/Help%20Wanted-Contribute-blue" alt="Help Wanted">
</p>

## PACT Methodology Library

The `pact_methodology` library is an open-source Python implementation of the World Business Council for Sustainable Development (WBCSD) [PACT Methodology](https://www.carbon-transparency.org). This methodology is designed to standardize the calculation of product carbon footprints (PCFs), enabling organizations and industries to track and reduce their environmental impact.

## About the PACT Methodology

The PACT Methodology, developed by the World Business Council for Sustainable Development (WBCSD), provides a standardized methodology for calculating PCFs. This methodology aims to increase consistency and transparency in carbon accounting across various industries. Learn more about the framework on the Pathfinder website: [https://www.carbon-transparency.org](https://www.carbon-transparency.org)

## About ZeroTwentyFifty

The pact_methodology library is developed and maintained by ZeroTwentyFifty. Visit our website https://www.zerotwentyfifty.com to learn more about our work.

### Key Features
- **Standardized Compliance:** Ensures adherence to the latest PACT Methodology standards, facilitating carbon accounting consistency.
- **Data-Driven Decision Making:** Provides tools for data collection, manipulation, and analysis, empowering users to make informed decisions to reduce carbon emissions.
- **Integration with Ecosystems:** Can be integrated with various systems and tools, streamlining the carbon footprint management process.
- **Comprehensive Documentation:** Detailed documentation is available to guide users through the library's functionality and usage.

## Installation

To install the `pact_methodology` library, use the following command:


```bash
pip install pact_methodology
```

## Documentation

You can view the docs here: https://zerotwentyfifty.github.io/pact_methodology/


## Contributing

We welcome contributions to improve and extend the `pact_methodology` library. Please follow these guidelines:
- Open an issue to discuss proposed changes before submitting a pull request.
- Ensure code adheres to PEP 8 style guidelines.
- Include unit tests for new functionality.

## License

This project is released under the MIT License. See the LICENSE file for details.

## Learn More

For more information about the PACT Methodology and its applications, visit our blog post: [PACT Methodology Library Announcement](https://www.zerotwentyfifty.com/blog/pact-methodology-library).


**Contact**

For questions, feedback, or support, please email us at:

    contact@zerotwentyfifty.com
